﻿using System;
using System.Collections.Generic;
using System.Data;
using System.Data.Entity;
using System.Linq;
using System.Web;
using System.Web.Mvc;
using Automobile.Models;
using Automobile.DataAccess;

namespace Automobile.Controllers
{
    public class TyreTypeController : Controller
    {
        private AutomobileContext db = new AutomobileContext();

        //
        // GET: /TyreType/

        public ActionResult Index()
        {
            return View(db.TyreType.ToList());
        }

        //
        // GET: /TyreType/Details/5

        public ActionResult Details(int id = 0)
        {
            TyreType tyretype = db.TyreType.Find(id);
            if (tyretype == null)
            {
                return HttpNotFound();
            }
            return View(tyretype);
        }

        //
        // GET: /TyreType/Create

        public ActionResult Create()
        {
            return View();
        }

        //
        // POST: /TyreType/Create

        [HttpPost]
        [ValidateAntiForgeryToken]
        public ActionResult Create(TyreType tyretype)
        {
            if (ModelState.IsValid)
            {
                db.TyreType.Add(tyretype);
                db.SaveChanges();
                return RedirectToAction("Index");
            }

            return View(tyretype);
        }

        //
        // GET: /TyreType/Edit/5

        public ActionResult Edit(int id = 0)
        {
            TyreType tyretype = db.TyreType.Find(id);
            if (tyretype == null)
            {
                return HttpNotFound();
            }
            return View(tyretype);
        }

        //
        // POST: /TyreType/Edit/5

        [HttpPost]
        [ValidateAntiForgeryToken]
        public ActionResult Edit(TyreType tyretype)
        {
            if (ModelState.IsValid)
            {
                db.Entry(tyretype).State = EntityState.Modified;
                db.SaveChanges();
                return RedirectToAction("Index");
            }
            return View(tyretype);
        }

        //
        // GET: /TyreType/Delete/5

        public ActionResult Delete(int id = 0)
        {
            TyreType tyretype = db.TyreType.Find(id);
            if (tyretype == null)
            {
                return HttpNotFound();
            }
            return View(tyretype);
        }

        //
        // POST: /TyreType/Delete/5

        [HttpPost, ActionName("Delete")]
        [ValidateAntiForgeryToken]
        public ActionResult DeleteConfirmed(int id)
        {
            TyreType tyretype = db.TyreType.Find(id);
            db.TyreType.Remove(tyretype);
            db.SaveChanges();
            return RedirectToAction("Index");
        }

        protected override void Dispose(bool disposing)
        {
            db.Dispose();
            base.Dispose(disposing);
        }
    }
}